apiVersion: rbac.authorization.k8s.io/v1
kind: ClusterRole
metadata:
  labels:
    app.kubernetes.io/component: storage
    app.kubernetes.io/managed-by: cdi-operator
    cdi.kubevirt.io: ""
    rbac.authorization.k8s.io/aggregate-to-view: "true"
  name: cdi.kubevirt.io:view
rules:
  - apiGroups:
      - cdi.kubevirt.io
    resources:
      - cdiconfigs
      - dataimportcrons
      - datasources
      - datavolumes
      - objecttransfers
      - storageprofiles
      - volumeimportsources
      - volumeuploadsources
      - volumeclonesources
    verbs:
      - get
      - list
      - watch
  - apiGroups:
      - cdi.kubevirt.io
    resources:
      - datavolumes/source
    verbs:
      - create